package com.ruoyi.project.system.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.experimental.Accessors;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

import java.math.BigDecimal;

/**
 * 查询日志对象 quote_log
 *
 * @author zhu
 * @date 2023-11-07
 */

@Data
@Accessors(chain = true)
@TableName("quote_log")
public class QuoteLog extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 旺旺
     */
    @Excel(name = "旺旺")
    private String wangwang;

    /**
     * 用户id
     */
    @Excel(name = "用户id")
    private Long userId;

    /**
     * ip
     */
    @Excel(name = "ip")
    private String ip;

    /**
     * 操作系统
     */
    @Excel(name = "操作系统")
    private String os;

    /**
     * 商品id
     */
    @Excel(name = "商品id")
    private Long productId;

    /**
     * 内容
     */
    @Excel(name = "内容")
    private String content;

    /**
     * 更新内容
     */
    @Excel(name = "更新内容")
    private String updateContent;

    /**
     * 价格
     */
    @Excel(name = "价格")
    private BigDecimal price;

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("wangwang", getWangwang())
                .append("userId", getUserId())
                .append("ip", getIp())
                .append("os", getOs())
                .append("productId", getProductId())
                .append("content", getContent())
                .append("updateContent", getUpdateContent())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
